.mdl-textfield{
	position:relative;
	font-size:16px;
	display:inline-block;
	box-sizing:border-box;
	width:300px;
	max-width:100%;
	margin:0;
	padding:20px 0;
}

.mdl-textfield--floating-label .mdl-textfield__label{
	transition-duration:.2s;
	transition-timing-function:cubic-bezier(.4,0,.2,1);
}

.mdl-textfield__input{
	border:none;
	border-bottom:1px solid rgba(0,0,0,.12);
	display:block;
	font-size:16px;
	font-family:"Helvetica","Arial",sans-serif;
	margin:0;
	padding:4px 0;
	width:100%;
	background:0 0;
	text-align:left;
	color:inherit
}

.mdl-textfield__input[type="number"]{
	-moz-appearance:textfield;
}

.mdl-textfield__input[type="number"]::-webkit-inner-spin-button,.mdl-textfield__input[type="number"]::-webkit-outer-spin-button{
	-webkit-appearance:none;
	margin:0;
}

.mdl-textfield.is-focused .mdl-textfield__input{
	outline:none
}

.mdl-textfield.is-invalid .mdl-textfield__input{
	border-color:#d50000;
	box-shadow:none;
}

fieldset[disabled] .mdl-textfield .mdl-textfield__input,.mdl-textfield.is-disabled .mdl-textfield__input{
	background-color:transparent;
	border-bottom:1px dotted rgba(0,0,0,.12);
	color:rgba(0,0,0,.26);
}

.mdl-textfield textarea.mdl-textfield__input{
	display:block;
}

.mdl-textfield__label{
	bottom:0;
	color:rgba(0,0,0,.26);
	font-size:16px;
	left:0;
	right:0;
	pointer-events:none;
	position:absolute;
	display:block;
	top:24px;
	width:100%;
	overflow:hidden;
	white-space:nowrap;
	text-align:left;
}

.mdl-textfield.is-dirty .mdl-textfield__label,.mdl-textfield.has-placeholder .mdl-textfield__label{
	visibility:hidden;
}

.mdl-textfield--floating-label .mdl-textfield__label{
	transition-duration:.2s;
	transition-timing-function:cubic-bezier(.4,0,.2,1);
}

.mdl-textfield--floating-label.has-placeholder .mdl-textfield__label{
	transition:none;
}

fieldset[disabled] .mdl-textfield .mdl-textfield__label,.mdl-textfield.is-disabled.is-disabled .mdl-textfield__label{
	color:rgba(0,0,0,.26);
}

.mdl-textfield--floating-label.is-focused .mdl-textfield__label,.mdl-textfield--floating-label.is-dirty .mdl-textfield__label,.mdl-textfield--floating-label.has-placeholder .mdl-textfield__label{
	color:rgb(63,81,181);
	font-size:12px;
	top:4px;
	visibility:visible;
	}
	
.mdl-textfield--floating-label.is-focused .mdl-textfield__expandable-holder .mdl-textfield__label,.mdl-textfield--floating-label.is-dirty .mdl-textfield__expandable-holder .mdl-textfield__label,.mdl-textfield--floating-label.has-placeholder .mdl-textfield__expandable-holder .mdl-textfield__label{
	top:-16px;
}

.mdl-textfield--floating-label.is-invalid .mdl-textfield__label{
	color:#d50000;
	font-size:12px;
}

.mdl-textfield__label:after{
	background-color:rgb(63,81,181);
	bottom:20px;
	content:'';
	height:2px;
	left:45%;
	position:absolute;
	transition-duration:.2s;
	transition-timing-function:cubic-bezier(.4,0,.2,1);
	visibility:hidden;
	width:10px
}

.mdl-textfield.is-focused .mdl-textfield__label:after{
	left:0;
	visibility:visible;
	width:100%
}

.mdl-textfield.is-invalid .mdl-textfield__label:after{
	background-color:#d50000;
}

.mdl-textfield__error{
	color:#d50000;
	position:absolute;
	font-size:12px;
	margin-top:3px;
	visibility:hidden;
	display:block;
}

.mdl-textfield.is-invalid .mdl-textfield__error{
	visibility:visible;
}

.mdl-textfield__expandable-holder{
	display:inline-block;
	position:relative;
	margin-left:32px;
	transition-duration:.2s;
	transition-timing-function:cubic-bezier(.4,0,.2,1);
	display:inline-block;
	max-width:.1px;
}

.mdl-textfield.is-focused .mdl-textfield__expandable-holder,.mdl-textfield.is-dirty .mdl-textfield__expandable-holder{
	max-width:600px;
}

.mdl-textfield__expandable-holder .mdl-textfield__label:after{
	bottom:0;
}

a,.mdl-accordion,.mdl-button,.mdl-card,.mdl-checkbox,.mdl-dropdown-menu,.mdl-icon-toggle,.mdl-item,.mdl-radio,.mdl-slider,.mdl-switch,.mdl-tabs__tab{
	-webkit-tap-highlight-color:transparent;
	-webkit-tap-highlight-color:rgba(255,255,255,0);
}

.mdl-button--raised{
	background:rgba(158,158,158,.2);
	box-shadow:0 2px 2px 0 rgba(0,0,0,.14),0 3px 1px -2px rgba(0,0,0,.2),0 1px 5px 0 rgba(0,0,0,.12);
}

.mdl-button--raised:active{
	box-shadow:0 4px 5px 0 rgba(0,0,0,.14),0 1px 10px 0 rgba(0,0,0,.12),0 2px 4px -1px rgba(0,0,0,.2);
	background-color:rgba(158,158,158,.4);
}

.mdl-button--raised:focus:not(:active){
	box-shadow:0 0 8px rgba(0,0,0,.18),0 8px 16px rgba(0,0,0,.36);
	background-color:rgba(158,158,158,.4);
}

.mdl-button--raised.mdl-button--colored{
	background:rgb(63,81,181);
	color:rgb(255,255,255);
}

.mdl-button--raised.mdl-button--colored:hover{
	background-color:rgb(63,81,181);
}

.mdl-button--raised.mdl-button--colored:active{
	background-color:rgb(63,81,181);
}

.mdl-button--raised.mdl-button--colored:focus:not(:active){
	background-color:rgb(63,81,181);
}

.mdl-button--raised.mdl-button--colored .mdl-ripple{
	background:rgb(255,255,255);
}

.mdl-button--primary.mdl-button--primary.mdl-button--raised,.mdl-button--primary.mdl-button--primary.mdl-button--fab{
	color:rgb(255,255,255);
	background-color:rgb(63,81,181);
}

.mdl-button--raised,.mdl-button--accent.mdl-button--accent.mdl-button--fab{
	color:rgb(255,255,255);
	background-color:rgb(124,77,255);
}

.mdl-button--raised[disabled][disabled],.mdl-button--raised.mdl-button--disabled.mdl-button--disabled{
	background-color:rgba(0,0,0,.12);
	color:rgba(0,0,0,.26);
	box-shadow:none;
}

.mdl-button--accent.mdl-button--accent .mdl-ripple{
	background:rgb(255,255,255);
}

.mdl-button__ripple-container {
    display: block;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 0;
    overflow: hidden;
}

.mdl-button--accent.mdl-button--accent.mdl-button--raised, .mdl-button--accent.mdl-button--accent.mdl-button--fab {
    color: rgb(255,255,255);
    background-color: rgb(124,77,255);
}

.mdl-button--accent.mdl-button--accent {
    color: rgb(124,77,255);
}

.mdl-button {
    background: 0 0;
    border: none;
    border-radius: 2px;
    color: #000;
    position: relative;
    height: 36px;
    margin: 0;
    min-width: 64px;
    padding: 0 16px;
    display: inline-block;
    font-family: "Roboto","Helvetica","Arial",sans-serif;
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0;
    overflow: hidden;
    will-change: box-shadow;
    transition: box-shadow .2s cubic-bezier(.4,0,1,1),background-color .2s cubic-bezier(.4,0,.2,1),color .2s cubic-bezier(.4,0,.2,1);
    outline: none;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
    line-height: 36px;
    vertical-align: middle;
}

.mdl-button:hover {
    background-color: rgba(158,158,158,.2);
}

.mdl-dialog {
    border: none;
    box-shadow: 0 9px 46px 8px rgba(0,0,0,.14), 0 11px 15px -7px rgba(0,0,0,.12), 0 24px 38px 3px rgba(0,0,0,.2);
    width: 280px;
}

.mdl-dialog__title {
    padding: 24px 24px 0;
    margin: 0;
    font-size: 2.5rem;
}
.mdl-dialog__content {
    padding: 20px 24px 24px;
    color: rgba(0,0,0,.54);
}

.mdl-demo.mdl-demo .mdl-card__supporting-text h4 {
    margin-top: 0;
    margin-bottom: 20px;
}

p {
    font-size: 14px;
    letter-spacing: 0;
    margin: 0 0 16px;
}
.mdl-dialog__actions {
    padding: 8px 8px 8px 24px;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: row-reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.mdl-dialog__actions>*:first-child {
    margin-right: 0;
}

.mdl-dialog__actions>* {
    margin-right: 8px;
    height: 36px;
}

.mdl-demo .mdl-card__actions {
    margin: 0;
    padding: 4px 40px;
    color: inherit;
}

.mdl-card__actions {
    font-size: 16px;
    line-height: normal;
    width: 100%;
    background-color: transparent;
    padding: 8px;
    box-sizing: border-box;
}

.mdl-snackbar{
	position:fixed;
	bottom:0;
	left:50%;
	cursor:default;
	background-color:#323232;
	z-index:3;
	display:block;
	display:-webkit-flex;
	display:-ms-flexbox;
	display:flex;
	-webkit-justify-content:space-between;
	-ms-flex-pack:justify;
	justify-content:space-between;
	font-family:"Roboto","Helvetica","Arial",sans-serif;
	will-change:transform;
	-webkit-transform:translate(0,80px);
	transform:translate(0,80px);
	transition:transform .25s cubic-bezier(.4,0,1,1);
	transition:transform .25s cubic-bezier(.4,0,1,1),-webkit-transform .25s cubic-bezier(.4,0,1,1);
	pointer-events:none
}

@media (max-width:479px){
.mdl-snackbar{
	width:100%;
	left:0;
	min-height:48px;
	max-height:80px;
}
}

@media (min-width:480px){
.mdl-snackbar{
	min-width:288px;
	max-width:568px;
	border-radius:2px;
	-webkit-transform:translate(-50%,80px);
	transform:translate(-50%,80px);
}
}

.mdl-snackbar--active{
	-webkit-transform:translate(0,0);
	transform:translate(0,0);
	pointer-events:auto;
	transition:transform .25s cubic-bezier(0,0,.2,1);
	transition:transform .25s cubic-bezier(0,0,.2,1),-webkit-transform .25s cubic-bezier(0,0,.2,1);
}

@media (min-width:480px){
.mdl-snackbar--active{
	-webkit-transform:translate(-50%,0);
	transform:translate(-50%,0);
}
}

.mdl-snackbar__text{
	padding:14px 12px 14px 24px;
	vertical-align:middle;
	color:#fff;
	float:left;
}

.mdl-snackbar__action{
	background:0 0;
	border:none;
	color:rgb(124,77,255);
	float:right;
	padding:14px 24px 14px 12px;
	font-family:"Roboto","Helvetica","Arial",sans-serif;
	font-size:14px;
	font-weight:500;
	text-transform:uppercase;
	line-height:1;
	letter-spacing:0;
	overflow:hidden;
	outline:none;
	opacity:0;
	pointer-events:none;
	cursor:pointer;
	text-decoration:none;
	text-align:center;
	-webkit-align-self:center;
	-ms-flex-item-align:center;
	-ms-grid-row-align:center;
	align-self:center;
}

.mdl-snackbar__action::-moz-focus-inner{
	border:0;
}

.mdl-snackbar__action:not([aria-hidden]){
	opacity:1;
	pointer-events:auto;
}

.mdl-tabs__tab-bar{
	display:-webkit-flex;
	display:-ms-flexbox;
	display:flex;
	-webkit-flex-direction:row;
	-ms-flex-direction:row;
	flex-direction:row;
	-webkit-justify-content:center;
	-ms-flex-pack:center;
	justify-content:center;
	-webkit-align-content:space-between;
	-ms-flex-line-pack:justify;
	align-content:space-between;
	-webkit-align-items:flex-start;
	-ms-flex-align:start;
	align-items:flex-start;
	height:48px;
	padding:0;
	margin:0;
	border-bottom:1px solid #e0e0e0;
}

.mdl-tabs{
	display:block;
	width:100%;
}

.mdl-tabs__tab{
	-webkit-tap-highlight-color:transparent;
	-webkit-tap-highlight-color:rgba(255,255,255,0);
}

.mdl-tabs__tab-bar{
	display:-webkit-flex;
	display:-ms-flexbox;
	display:flex;
	-webkit-flex-direction:row;
	-ms-flex-direction:row;
	flex-direction:row;
	-webkit-justify-content:center;
	-ms-flex-pack:center;
	justify-content:center;
	-webkit-align-content:space-between;
	-ms-flex-line-pack:justify;
	align-content:space-between;
	-webkit-align-items:flex-start;
	-ms-flex-align:start;
	align-items:flex-start;
	height:48px;
	padding:0;
	margin:0;
	border-bottom:1px solid #e0e0e0;
}

.mdl-tabs__tab{
	margin:0;
	border:none;
	padding:0 24px;
	float:left;
	position:relative;
	display:block;
	text-decoration:none;
	height:48px;
	line-height:48px;
	text-align:center;
	font-weight:500;
	font-size:14px;
	text-transform:uppercase;
	color:rgba(0,0,0,.54);
	overflow:hidden;
}

.mdl-tabs.is-upgraded .mdl-tabs__tab.is-active{
	color:rgba(0,0,0,.87);
}

.mdl-tabs.is-upgraded .mdl-tabs__tab.is-active:after{
	height:2px;
	width:100%;
	display:block;
	content:" ";
	bottom:0;
	left:0;
	position:absolute;
	background:rgb(63,81,181);
	-webkit-animation:border-expand .2s cubic-bezier(.4,0,.4,1).01s alternate forwards;
	animation:border-expand .2s cubic-bezier(.4,0,.4,1).01s alternate forwards;
	transition:all 1s cubic-bezier(.4,0,1,1);
}

.mdl-tabs__tab .mdl-tabs__ripple-container{
	display:block;
	position:absolute;
	height:100%;
	width:100%;
	left:0;
	top:0;
	z-index:1;
	overflow:hidden;
}

.mdl-tabs__tab .mdl-tabs__ripple-container .mdl-ripple{
	background:rgb(63,81,181);
}

.mdl-tabs__panel{
	display:block;
}

.mdl-tabs.is-upgraded .mdl-tabs__panel{
	display:none;
}

.mdl-tabs.is-upgraded .mdl-tabs__panel.is-active{
	display:block;
}

.mdl-layout__tab-panel{
	display:block;
}

.mdl-layout.is-upgraded .mdl-layout__tab-panel{
	display:none;
}

.mdl-layout.is-upgraded .mdl-layout__tab-panel.is-active{
	display:block;
}

.b-session-timeout-message {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #f99999;
    padding: 5px;
    border-radius: 0 0 5px 0;
}
.gwt-Label {
    font-size: 12px;
    white-space: nowrap;
}